<?php

namespace Fgm\ComposerCheck;


class LockLoader implements LoaderInterface {

  protected $file;

  protected $platform;

  public function __construct(string $directory) {
    $this->file = realpath("${directory}/composer.lock");
  }

  public function load() {
    $lockFile = json_decode(file_get_contents($lockPath), TRUE);
    $lockPackages = $lockFile['packages'];
    $lockDevPackages = $lockFile['packages-dev'];

    $lockPlatform = $lockFile['platform'];
    array_walk($lockPlatform, function (&$requirement, $component) {
      $requirement = [
        'name' => $component,
        'version' => $requirement,
      ];
    });
    $lockPackages = array_merge($lockPackages, $lockPlatform);
    $lockDevPackages = array_merge($lockDevPackages, $lockPlatform);

  }

}
